Package org.jfree.layouting.input.style.selectors.conditions

## Class PseudoClassCSSCondition

- java.lang.Object
- - org.jfree.layouting.input.style.selectors.conditions.PseudoClassCSSCondition

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSCondition`, `org.w3c.css.sac.AttributeCondition`, `org.w3c.css.sac.Condition`

      public class PseudoClassCSSCondition
      extends java.lang.Object
      implements org.w3c.css.sac.AttributeCondition, CSSCondition

  Creation-Date: 24.11.2005, 19:54:48
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.css.sac.Condition

      `SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PseudoClassCSSCondition​(java.lang.String namespace, java.lang.String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `getConditionType​()` | An integer indicating the type of `Condition`.
    `java.lang.String` | `getLocalName​()` | Returns the local part of the qualified name of this attribute.
    `java.lang.String` | `getNamespaceURI​()` | Returns the namespace URI of this attribute condition.
    `boolean` | `getSpecified​()` | Returns `true` if the attribute must have an explicit value in the original document, `false` otherwise.
    `java.lang.String` | `getValue​()` |
    `boolean` | `isMatch​(java.lang.Object resolveState)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PseudoClassCSSCondition

          public PseudoClassCSSCondition​(java.lang.String namespace,
                                         java.lang.String value)

  - ### Method Detail

    - #### getConditionType

          public short getConditionType​()

      An integer indicating the type of `Condition`.
      Specified by:
        `getConditionType` in interface `org.w3c.css.sac.Condition`

    - #### isMatch

          public boolean isMatch​(java.lang.Object resolveState)

      Specified by:
        `isMatch` in interface `CSSCondition`

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI​()

      Returns the namespace URI of this attribute condition.

      `NULL` if :

      - this attribute condition can match any namespace.
      - this attribute is an id attribute.
      Specified by:
        `getNamespaceURI` in interface `org.w3c.css.sac.AttributeCondition`

    - #### getSpecified

          public final boolean getSpecified​()

      Returns `true` if the attribute must have an explicit value in the original document, `false` otherwise.
      Specified by:
        `getSpecified` in interface `org.w3c.css.sac.AttributeCondition`

    - #### getValue

          public java.lang.String getValue​()

      Specified by:
        `getValue` in interface `org.w3c.css.sac.AttributeCondition`

    - #### getLocalName

          public java.lang.String getLocalName​()

      Returns the local part of the qualified name of this attribute.

      `NULL` if :

      - this attribute condition can match any attribute.

      - this attribute is a class attribute.

      - this attribute is an id attribute.

      - this attribute is a pseudo-class attribute.

      Specified by:
        `getLocalName` in interface `org.w3c.css.sac.AttributeCondition`